Description

The "location" field in shapefiles (example: raingauge) is a number, reference to a location which has an 'id'. So, the location, as text,

is a "join" (in SQL terminology) with the location table.

So, it would make things more clear and easier to maintain the code clear and maintainable, if we use the following formalism

everywhere:

the attribute of an object, when that attribute is a "foreign key" (meaning: it's the 'id' field of another table), should be of the form

"tablename_id".

Related issues:

Related to Gisaf - Feature #3328: Use loc_id for ids of locations Closed 15/12/2016

Associated revisions

Revision c9e45ef9 - 15/12/2016 01:57 - Philippe May 

ORM: use location_id instead of location (Refs #3316)

Revision 5c7f7d17 - 15/12/2016 16:10 - Philippe May 

ORM: add resident model, use proper keys (refs #3316, refs #3307, refs #3308), use proper foreign key names and relations

History

#1 - 15/12/2016 12:34 - Philippe May

QGis limits the length of the field names to 10.

So, OK for loc_id in this example.

#2 - 15/12/2016 12:53 - Philippe May

- Related to Feature #3328: Use loc_id for ids of locations added

#3 - 15/12/2016 12:53 - Philippe May

- Status changed from New to Resolved

#4 - 26/05/2020 14:36 - Giulio Di Anastasio

- Status changed from Resolved to Closed
